Mail Action Does Not Accept TLS

05/13/2010 04:00 PM - Luke Murphey

Status: Closed Start date: 05/13/2010

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.9 (Beta)   

Description

The email incident response action does not allow TLS to be used.

History

#1 - 05/13/2010 04:03 PM - Luke Murphey

See http://forums.sun.com/thread.jspa?threadID=759635 for an example:

import javax.mail.*;

import javax.mail.internet.*;

import java.util.*;

public class Main

{

    String  d_email = "ADDRESS@gmail.com",

            d_password = "PASSWORD",

            d_host = "smtp.gmail.com",

            d_port  = "465",

            m_to = "EMAIL ADDRESS",

            m_subject = "Testing",

            m_text = "Hey, this is the testing email.";

    public Main()

    {

        Properties props = new Properties();

        props.put("mail.smtp.user", d_email);

        props.put("mail.smtp.host", d_host);

        props.put("mail.smtp.port", d_port);

        props.put("mail.smtp.starttls.enable","true");

        props.put("mail.smtp.auth", "true");

        //props.put("mail.smtp.debug", "true");

        props.put("mail.smtp.socketFactory.port", d_port);

        props.put("mail.smtp.socketFactory.class", "javax.net.ssl.SSLSocketFactory");

        props.put("mail.smtp.socketFactory.fallback", "false");

        SecurityManager security = System.getSecurityManager();

        try

        {

            Authenticator auth = new SMTPAuthenticator();

            Session session = Session.getInstance(props, auth);

            //session.setDebug(true);

            MimeMessage msg = new MimeMessage(session);

            msg.setText(m_text);

            msg.setSubject(m_subject);

            msg.setFrom(new InternetAddress(d_email));

            msg.addRecipient(Message.RecipientType.TO, new InternetAddress(m_to));

            Transport.send(msg);

        }

        catch (Exception mex)

        {

            mex.printStackTrace();

        } 

    }

    public static void main(String[] args)
    {

        Main blah = new Main();

    }

    private class SMTPAuthenticator extends javax.mail.Authenticator

    {

        public PasswordAuthentication getPasswordAuthentication()

        {

            return new PasswordAuthentication(d_email, d_password);

        }

    }

}

#2 - 06/01/2010 10:58 PM - Luke Murphey

See also:

http://pipoltek.blogspot.com/2008/02/sending-mail-using-gmail-smtp-server.html

http://java.sun.com/products/javamail/javadocs/com/sun/mail/smtp/package-summary.html

http://forums.sun.com/thread.jspa?threadID=5417045

http://blogs.sun.com/apanicker/entry/java_code_for_smtp_server

http://java.sun.com/products/javamail/SSLNOTES.txt

#3 - 06/02/2010 12:11 AM - Luke Murphey

- Target version set to 0.9 (Beta)

#4 - 06/02/2010 12:15 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed in r478.
